I coded after following your explaination and my code is exactly similar. Thanks dude. I have recently started doing Leedcode daily for last 5 days.
@kelvinology4 Жыл бұрын
highly recommend all of you to do leetcode 118 - 120 (neetcode has all explanation videos) the structure is pretty similar that all of them are dealing with triangles btw great explanation and your solutions always inspire me, thanks a lot🙏🏻
@bundiderp5109 Жыл бұрын
Great explanation as always. But I found the 44.5 overflow at 4:40 to be very confusing. I am pretty sure it should be 49.5 as 2x 49.5 = 99.
@NeetCodeIO Жыл бұрын
Yep, my math was way off, sorry about that!
@akhma102Ай бұрын
Great Explanation. Thank you, Neet!
@il5083 Жыл бұрын
I was worrying about some champagne will reach the end first. Didn’t think of processing it row by row is possible. Great explanation, thanks!
@王瀚君-c3j Жыл бұрын
It's literally NEET CODE! Thank you
@Harish-rz4gv Жыл бұрын
Kinda Pascal's triangle
@J1MKAKA1N Жыл бұрын
Simple and elegant, thanks for the effort! Keep it going :)
@tenzin8773 Жыл бұрын
Don't think I'll ever be able to solve this in a real interview if I never did this question before :(
@darkcaper703 Жыл бұрын
847. Shortest Path Visiting All Nodes :(
@themagickalmagickman Жыл бұрын
bfs with bitmask instead of set. Look up how to do a bitmask, its actually surprisingly easy. The intuitive approach is to bfs because we want a shortest path, each bfs node will need to maintain a visited set though. Instead of an actual set, we use an integer bitmask. As you know, integers are represented as binary, ex: 00101. If we assign each node to a position in the binary representation, we can mark it visited by flipping the digit from 0 to 1. This yields a unique integer for each visited set. So If I want to mark the 0th node as visited my bitmask looks like this: 0001 (4 nodes total, 0,1,2,3). This yields the integer 1. Set the 0 and 3rd visited? 1001, int = 9. Here is the operation for setting a given bit as visited, bitmask |= (1
@memeproductions4182 Жыл бұрын
did the same, but i basically consider this a BFS where each row is a level of the tree
@anantom251 Жыл бұрын
You are the saviour.
@SD-vk3ko Жыл бұрын
Thanks lord, we have you!!🙂
@satviksrinivas876411 ай бұрын
If poured was fixed could there be a DP solution? I'm thinking along the lines that you would have a base case since you know the total amount of champagne.
@VidyaBhandary Жыл бұрын
Superb Explanation ...
@AmanRaj-yn5pj Жыл бұрын
nice way of explaining👍
@anshror2583 Жыл бұрын
Bro please upload leetcode video daily
@phpostrich Жыл бұрын
this one was pretty cool
@boisaulit8 ай бұрын
Genius.
@phpostrich Жыл бұрын
another one already wowz
@aazzrwadrf Жыл бұрын
pretty hard for a med
@vishnusunil96102 ай бұрын
99/2 = 49.5
@danielsun716 Жыл бұрын
looks like the dp problem
@StellasAdi18 Жыл бұрын
Guess you meant 49.5 and not 44.5 at 5.08 for 100 example.
@SeanBow-fs7rj Жыл бұрын
ebat' traxatel
@silent7152 Жыл бұрын
i thought it was a dp problem
@haroldobasi2545 Жыл бұрын
Same, spent forever trying to think of a base case. I guess sometimes the most straightforward solutions are the right ones